Skip to content

List cases in queue order

GET
/api/v1/cases
curl --request GET \
--url 'https://example.com/api/v1/cases?limit=50'

Cases ordered by lane, then newest first, with the size of every lane.

cursor
Any of:
string
>= 1 characters <= 256 characters
limit
Limit
integer
default: 50 >= 1 <= 100
lane
Any of:
Lane

Suggested-disposition bucket used to order the queue (nothing is hidden).

string
Allowed values: looks_consistent review_suggested needs_local_knowledge insufficient_evidence rules_only
status
Any of:
CaseStatus

Lifecycle state of a review case (staleness is a separate flag).

string
Allowed values: new analyzing analyzed decided
editor
Any of:
string
<= 200 characters
q
Any of:
string
<= 200 characters
stale
Any of:
boolean

Successful Response

Media typeapplication/json
CaseListResponse

A page of the queue plus the size of every lane under the current filters.

object
counts_by_lane
Counts By Lane
object
key
additional properties
integer
items
required
Items
Array<object>
CaseSummary

One row of the queue.

object
band
Any of:
Band

Backend-assigned sharpness band of the model output.

string
Allowed values: confident unsure cannot_tell
changeset_id
required
Changeset Id
integer
comment
Any of:
string
coverage_score
required
Coverage Score
number
<= 1
created_at
required
Created At
string format: date-time
editor
Any of:
string
element_counts
required
ElementCounts

Elements created, modified and deleted by the changeset.

object
create
Create
integer
0
delete
Delete
integer
0
modify
Modify
integer
0
flags
Flags

OSMCha reason codes and policy rule codes

Array<string>
id
required
Id
string format: uuid
lane
required
Lane

Suggested-disposition bucket used to order the queue (nothing is hidden).

string
Allowed values: looks_consistent review_suggested needs_local_knowledge insufficient_evidence rules_only
latest_outcome
Any of:
Disposition

What a human reviewer decided.

string
Allowed values: agree different_response needs_survey disagree_with_model no_action
nature
Any of:
Nature

Q1 option set: what the changeset looks like.

string
Allowed values: consistent_edit likely_good_faith_mistake possible_deliberate_damage needs_local_knowledge
place_label
Any of:
string
response
Any of:
Response

Q2 option set: suggested next step for the reviewer.

string
Allowed values: no_action_suggested welcome_and_tips ask_source_question request_local_check escalate_to_experienced_reviewer
stale
required
Stale
boolean
status
required
CaseStatus

Lifecycle state of a review case (staleness is a separate flag).

string
Allowed values: new analyzing analyzed decided
updated_at
required
Updated At
string format: date-time
next_cursor
Any of:
string

Example

{
"items": [
{
"band": "confident",
"element_counts": {
"create": 0,
"delete": 0,
"modify": 0
},
"lane": "looks_consistent",
"latest_outcome": "agree",
"nature": "consistent_edit",
"response": "no_action_suggested",
"status": "new"
}
]
}

Bad Request

Problem

Application/problem+json body. Extension members (for example job_id) are allowed.

object
detail
Any of:
string
errors
Any of:
Array<object>
FieldError

One validation failure: where, what, and a stable machine code (never the input value).

object
loc
required
Loc
Array
msg
required
Msg
string
type
required
Type
string
instance
Any of:
string
request_id
required
Request Id
string
status
required
Status
integer
title
required
Title
string
type
Type
string
default: about:blank
key
additional properties
any

Example

{
"type": "about:blank"
}

Validation Error

Media typeapplication/json
HTTPValidationError
object
detail
Detail
Array<object>
ValidationError
object
ctx
Context
object
input
Input
loc
required
Location
Array
msg
required
Message
string
type
required
Error Type
string

Example generated

{
"detail": [
{
"ctx": {},
"input": "example",
"loc": [
"example"
],
"msg": "example",
"type": "example"
}
]
}

Map data © OpenStreetMap contributors, under the Open Database Licence. Code under the Apache-2.0 licence. Made by Yogesh.

Changeset Second Opinion is an independent open source tool for OpenStreetMap reviewers. It is not endorsed by, sponsored by or affiliated with the OpenStreetMap Foundation. OpenStreetMap is a trademark of the OpenStreetMap Foundation, used under itstrademark policy.